## javax.mail
Class Provider.Type

    java.lang.Object
      javax.mail.Provider.Type

Enclosing class:
  Provider

    public static class Provider.Type

extends Object

This inner class defines the Provider type. Currently, STORE and TRANSPORT are the only two provider types supported.

Field Summary
`static Provider.Type` `STORE`
`static Provider.Type` `TRANSPORT`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE

    public static final Provider.Type STORE

### TRANSPORT

    public static final Provider.Type TRANSPORT

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.